/*
 * DataFileNoSuchSqlIdException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * データファイルに存在しないSQL文IDを指定してアクセッサにアクセスした場合に発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class DataFileNoSuchSqlIdException extends AccessorRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 1186465961137673782L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public DataFileNoSuchSqlIdException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public DataFileNoSuchSqlIdException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public DataFileNoSuchSqlIdException(String msg, Exception cause) {
		super(msg, cause);
	}
}
